> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a location

> Retrieves a specific location by id.



## OpenAPI

````yaml GET /projects/{project_id}/locations/{location_id}
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /projects/{project_id}/locations/{location_id}:
    get:
      summary: Retrieve a location
      description: Retrieves a specific location by id.
      operationId: list-all-locations-copy
      parameters:
        - name: project_id
          in: path
          schema:
            type: string
          required: true
        - name: location_id
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: loc_8XF1QtGs79oX9A6k
                    lat: '40.4773493'
                    long: '-124.1226179'
                    name: Production Facility
                    created_at: '2024-12-20T02:49:37.569Z'
                    updated_at: '2024-12-20T02:49:37.569Z'
                    address:
                      name: Production Facility
                      street_address_1: null
                      street_address_2: null
                      city: null
                      state: null
                      postal_code: null
                      country: CA
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: loc_8XF1QtGs79oX9A6k
                  lat:
                    type: string
                    example: '40.4773493'
                  long:
                    type: string
                    example: '-124.1226179'
                  name:
                    type: string
                    example: Production Facility
                  created_at:
                    type: string
                    example: '2024-12-20T02:49:37.569Z'
                  updated_at:
                    type: string
                    example: '2024-12-20T02:49:37.569Z'
                  address:
                    type: object
                    properties:
                      name:
                        type: string
                        example: Production Facility
                      street_address_1:
                        type: string
                        nullable: true
                        example: null
                      street_address_2:
                        type: string
                        nullable: true
                        example: null
                      city:
                        type: string
                        nullable: true
                        example: null
                      state:
                        type: string
                        nullable: true
                        example: null
                      postal_code:
                        type: string
                        nullable: true
                        example: null
                      country:
                        type: string
                        example: CA
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 404
                    errors:
                      - message: Record not found
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  statusCode:
                    type: integer
                    example: 404
                    default: 0
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Record not found
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````